Vanadi Coffee SA

Company API endpoints for Bitcoin treasury, holdings, price, profile, and performance data.

How to call

Request format

GET
curl -X GET "https://newhedge.io/api/v2/companies/vanadi-coffee-sa/METRIC_NAME?api_token=YOUR_TOKEN"
Query params

api_token (required) — 24 character token.

Path params

:metric_name — one of the company metric names listed below.

Responses

200 with JSON payload, 401 for missing/invalid token, 404 for missing resources.

Metrics

Each company metric is fetched independently.

7 metrics
Metric

Bitcoin Acquisitions

Bitcoin acquisition history for the company.

Endpoint
https://newhedge.io/api/v2/companies/vanadi-coffee-sa/bitcoin-acquisitions?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "date": 1771977600000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://vanadi.es/en/vanadi-treasury_en/#",
    "holding_balance": 205.0,
    "holding_net_change": 5.0,
    "transaction_value_usd": 334530.0,
    "average_entry_value_usd": 66906.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1772755200000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://vanadi.es/en/vanadi-treasury_en/#",
    "holding_balance": 209.0,
    "holding_net_change": 4.0,
    "transaction_value_usd": 283968.0,
    "average_entry_value_usd": 70992.0,
    "transaction_value_calculated": false
  },
  {
    "date": 1774224000000,
    "type": "buy",
    "coin_id": "bitcoin",
    "source_url": "https://vanadi.es/en/vanadi-treasury_en/#",
    "holding_balance": 213.0,
    "holding_net_change": 4.0,
    "transaction_value_usd": 286288.0,
    "average_entry_value_usd": 71572.0,
    "transaction_value_calculated": false
  }
]
Metric

Bitcoin Holdings

Historical Bitcoin holdings for the company.

Endpoint
https://newhedge.io/api/v2/companies/vanadi-coffee-sa/bitcoin-holdings?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    213.0
  ],
  [
    1782950400000,
    213.0
  ],
  [
    1783036800000,
    213.0
  ]
]
Metric

Bitcoin Holdings USD

Historical USD value of the company's Bitcoin holdings.

Endpoint
https://newhedge.io/api/v2/companies/vanadi-coffee-sa/bitcoin-holdings-usd?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  [
    1782864000000,
    12772449.15
  ],
  [
    1782950400000,
    13096907.79
  ],
  [
    1783036800000,
    13318035.87
  ]
]
Metric

Price Data

Historical market price data stored on the company profile.

Endpoint
https://newhedge.io/api/v2/companies/vanadi-coffee-sa/price-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
[
  {
    "low": 0.0211,
    "date": "2026-07-01",
    "high": 0.0263,
    "open": 0.0228,
    "close": 0.0263,
    "volume": 10653707
  },
  {
    "low": 0.0236,
    "date": "2026-07-02",
    "high": 0.03,
    "open": 0.027,
    "close": 0.0243,
    "volume": 12642257
  },
  {
    "low": 0.0231,
    "date": "2026-07-03",
    "high": 0.0259,
    "open": 0.024,
    "close": 0.0235,
    "volume": 5325253
  }
]
Metric

Company Data

Company profile, fundamentals, and related reference data.

Endpoint
https://newhedge.io/api/v2/companies/vanadi-coffee-sa/company-data?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "eps_estimate_next_quarter": 0,
  "quarterly_earnings_growth": 0,
  "eps_estimate_current_quarter": 0
}
Metric

Performance Metrics

Calculated performance metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/vanadi-coffee-sa/performance-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "one_month_return": -20.07,
  "six_month_return": -84.79,
  "three_month_return": -49.79
}
Metric

Treasury Metrics

Bitcoin treasury summary metrics for the company.

Endpoint
https://newhedge.io/api/v2/companies/vanadi-coffee-sa/treasury-metrics?api_token=YOUR_TOKEN

Replace `YOUR_TOKEN` with your Newhedge API token.

Sample response
200 Successful response
{
  "btc_percent_company": 7987.4,
  "total_btc_percentage": 0.001,
  "share_price_change_state": "down"
}